{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Создать регулярный мониторинг" %}
{% set page_id = "1.0" %}


{% block heading %}
    <div class="content-header">
        <h1 class="content-header__title">{{ title }}</h1>
    </div>
{% endblock %}

{% block main %}

    <div class="page-container">
        <div class="card">
            <div class="card-body">
                <div class="form-group">
                    <input type="text" class="form-control" name="search" placeholder="Поиск">
                </div>
                <div class="form-group d-flex justify-content flex-wrap mb-0">
                    <div class="checkbox mr-1 mb-1">
                        <input type="checkbox" class="checkbox-input" id="checkbox1">
                        <label for="checkbox1">Игнорировать регистр</label>
                    </div>
                    <div class="checkbox mr-1 mb-1">
                        <input type="checkbox" class="checkbox-input" id="checkbox2">
                        <label for="checkbox2">Точное совпадение</label>
                    </div>
                    <div class="checkbox mb-1">
                        <input type="checkbox" class="checkbox-input" id="checkbox3">
                        <label for="checkbox3">Выводить результат</label>
                    </div>
                </div>
                <div class="form-group d-flex  justify-content">
                    <button class="btn btn-primary mr-1">Поиск</button>
                    <button class="btn btn-secondary mr-1">Очистить</button>
                </div>
                <p>В выгрузку по-умолчанию будут выбраны <strong>все статьи с метками всех рубрик выбранного вами мониторинга</strong>, а также с учетом указанных ниже ограничений по периоду загрузки и дате выхода в СМИ</p>
                <div class="row">
                    <div class="col-md-9 col-xl-10">
                        <div class="mb-1">
                            <div id="checkable-tree"></div>
                        </div>
                    </div>
                    <div class="col-md-3 col-xl-2">
                        <div class="box-search-result mb-1">
                            Результат
                        </div>
                    </div>
                </div>
                <div class="divider"></div>
                <div class="form-group">
                    <p><strong>Добавить</strong> также  в выгрузку статьи, которые <strong>не содержат меток рубрик</strong> выбранного Вами мониторинга, но <strong>содержат</strong>  указанные ниже “<strong>метки при загрузке файлов</strong>” (или оставьте поле пустым)
                        <button class="btn-collapse" data-toggle="collapse" data-target="#collapse1">
                            <i class="bx bx-caret-down"></i>
                        </button>
                    </p>
                    <div class="collapse show" id="collapse1">
                        <select class="select2 form-control" multiple="multiple">
                            <option value="Мир" selected>Мир</option>
                            <option value="БМК ТОРПЕДА" selected>БМК ТОРПЕДА</option>
                            <option value="Проект 1">Проект 1</option>
                            <option value="Проект 2">Проект 2</option>
                            <option value="Проект 3">Проект 3</option>
                            <option value="Проект 4">Проект 4</option>
                            <option value="Проект 5">Проект 5</option>
                        </select>

                    </div>
                </div>
                <div class="divider"></div>
                <div class="form-group">
                    <p>
                        <strong>Добавить</strong> также  в выгрузку статьи которые <strong>не содержат меток рубрик</strong> выбранного Вами мониторинга, но <strong>содержат</strong>  указанные ниже  “<strong>теги при загрузке файлов</strong>”  (или оставьте поле пустым)
                        <button class="btn-collapse" data-toggle="collapse" data-target="#collapse2">
                            <i class="bx bx-caret-down"></i>
                        </button>
                    </p>
                    <div class="collapse show" id="collapse2">
                        <select class="select2 form-control" multiple="multiple">
                            <option value="Проект 1" selected>Проект 1</option>
                            <option value="Проект 2" selected>Проект 2</option>
                            <option value="Проект 3">Проект 3</option>
                            <option value="Проект 4">Проект 4</option>
                            <option value="Проект 5">Проект 5</option>
                            <option value="Проект 6">Проект 6  </option>
                            <option value="Проект 7">Проект 7</option>
                        </select>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <label class="form-label">Ограничить выборку статей по <strong>загрузке в базу</strong></label>
                        <fieldset class="form-group position-relative has-icon-left">
                            <input type="text" class="form-control daterange" placeholder="Select Date">
                            <div class="form-control-position">
                                <i class='bx bx-calendar-check'></i>
                            </div>
                        </fieldset>
                        <div class="form-group d-flex justify-content flex-wrap">
                            <div class="radio mr-1 mb-1">
                                <input type="radio" name="range-radio" id="radio1" checked="">
                                <label class="text-uppercase" for="radio1">Сутки</label>
                            </div>
                            <div class="radio mr-1 mb-1">
                                <input type="radio" name="range-radio" id="radio2" checked="">
                                <label class="text-uppercase" for="radio2">сегодня</label>
                            </div>
                            <div class="radio mr-1 mb-1">
                                <input type="radio" name="range-radio" id="radio3" checked="">
                                <label class="text-uppercase" for="radio3">7 дней</label>
                            </div>
                            <div class="radio mr-1 mb-1">
                                <input type="radio" name="range-radio" id="radio4" checked="">
                                <label class="text-uppercase" for="radio4">Месяц</label>
                            </div>
                            <div class="radio mr-1  mb-1">
                                <input type="radio" name="range-radio" id="radio5" checked="">
                                <label class="text-uppercase" for="radio5">Год</label>
                            </div>
                            <div class="radio mr-1 mb-1">
                                <input type="radio" name="range-radio" id="radio6" checked="">
                                <label class="text-uppercase" for="radio6">Период</label>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label">Ограничить выборку статьей по <strong>периоду выхода в СМИ</strong></label>
                        <fieldset class="form-group position-relative has-icon-left">
                            <input type="text" class="form-control daterange" placeholder="Select Date" value="">
                            <div class="form-control-position">
                                <i class='bx bx-calendar-check'></i>
                            </div>
                        </fieldset>
                        <div class="form-group d-flex justify-content flex-wrap">
                            <div class="radio mr-1 mb-1">
                                <input type="radio" name="range-radio1" id="radio11" checked="">
                                <label class="text-uppercase" for="radio11">Сутки</label>
                            </div>
                            <div class="radio mr-1 mb-1">
                                <input type="radio" name="range-radio1" id="radio12" checked="">
                                <label class="text-uppercase" for="radio12">сегодня</label>
                            </div>
                            <div class="radio mr-1 mb-1">
                                <input type="radio" name="range-radio1" id="radio13" checked="">
                                <label class="text-uppercase" for="radio13">7 дней</label>
                            </div>
                            <div class="radio mr-1 mb-1">
                                <input type="radio" name="range-radio1" id="radio14">
                                <label class="text-uppercase" for="radio14">Месяц</label>
                            </div>
                            <div class="radio mr-1  mb-1">
                                <input type="radio" name="range-radio1" id="radio15">
                                <label class="text-uppercase" for="radio15">Год</label>
                            </div>
                            <div class="radio mr-1 mb-1">
                                <input type="radio" name="range-radio1" id="radio16">
                                <label class="text-uppercase" for="radio16">Период</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row mb-2">
                    <div class="col-lg-6">
                        <div class="radio mr-1 mb-1">
                            <input type="radio" name="range-radio2" id="radio21" checked="">
                            <label for="radio21"><span><strong>Не добавлять ранее</strong> выгруженные в указанный Вами мониторинг статьи</span></label>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="radio mr-1 mb-1">
                            <input type="radio" name="range-radio2" id="radio22" checked="">
                            <label for="radio22"><span><strong>Без учета</strong> предыдущих выгрузок статей в указанный Вами мониторинг</span></label>
                        </div>
                    </div>
                </div>

                <a href="#" class="btn btn-primary btn-large">Отобрать статьи и разобрать по рубрикам </a>

            </div>
        </div>
    </div>
{% endblock %}

{% block scripts %}

    <script>

        let mainTreeView = function () {
            let $primary = '#A5B2CC';

            let defaultData = [{
                text: 'Все проекты',
                href: '#parent1',
                tags: ['2'],
                nodes: [{
                    text: 'Проект 1',
                    href: '#project1',
                    tags: ['2'],
                    nodes: [
                        {
                            text: 'Мониторинг 1',
                            href: '#monitoring1',
                            tags: ['0']
                        },
                        {
                            text: 'Мониторинг 2',
                            href: '#monitoring2',
                            tags: ['0']
                        },
                        {
                            text: 'Мониторинг 3',
                            href: '#monitoring3',
                            tags: ['0']
                        },
                        {
                            text: 'Мониторинг 4',
                            href: '#monitoring4',
                            tags: ['0']
                        }
                    ]
                },
                    {
                        text: 'Проект 2',
                        href: '#project2',
                        tags: ['0'],
                        nodes: [
                            {
                                text: 'Мониторинг 1',
                                href: '#monitoring1',
                                tags: ['0']
                            },
                            {
                                text: 'Мониторинг 2',
                                href: '#monitoring2',
                                tags: ['0']
                            },
                            {
                                text: 'Мониторинг 3',
                                href: '#monitoring3',
                                tags: ['0']
                            },
                            {
                                text: 'Мониторинг 4',
                                href: '#monitoring4',
                                tags: ['0']
                            }
                        ]
                    },
                    {
                        text: 'Проект 3',
                        href: '#project3',
                        tags: ['0'],
                        nodes: [
                            {
                                text: 'Мониторинг 1',
                                href: '#monitoring1',
                                tags: ['0']
                            },
                            {
                                text: 'Мониторинг 2',
                                href: '#monitoring2',
                                tags: ['0']
                            },
                            {
                                text: 'Мониторинг 3',
                                href: '#monitoring3',
                                tags: ['0']
                            },
                            {
                                text: 'Мониторинг 4',
                                href: '#monitoring4',
                                tags: ['0']
                            }
                        ]
                    }
                ]
            }];

            let $checkableTree = $('#checkable-tree').treeview({
                selectedBackColor: [$primary],
                data: defaultData,
                showIcon: false,
            //    showCheckbox: true,
            });
        }
        mainTreeView()

        $('.daterange').daterangepicker({
            timePicker: true,
            timePickerIncrement: 1,
            timePicker24Hour: true,
            timePickerSeconds: false,
            locale: {
                format: 'MM-DD-YYYY h:mm',
                daysOfWeek: ['ВС', 'ПН', 'ВТ', 'СР', 'ЧТ', 'ПТ', 'СБ'],
                monthNames: ['Январь', 'Февраль', 'Март', 'Апрель', 'Май', 'Июнь', 'Июль', 'Август', 'Сентябрь', 'Октябрь', 'Ноябрь', 'Декабрь'],
            }
        });

    </script>

{% endblock %}